#include "CS_Table.h"

CS_Table::CS_Table()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_table";
	drawBeforeOtherEntity = true;
}

void CS_Table::SetState(std::wstring stateName, int lr)
{
	if (stateName == L"normal" || stateName == L"free")
		ani.image_index = 0;
	else if (stateName == L"using")
		ani.image_index = 1;
	else if (stateName == L"juice")
		ani.image_index = 2;
	else if (stateName == L"wine")
		ani.image_index = 3;
	else if (stateName == L"chess")
		ani.image_index = 4;
	else if (stateName == L"noodle")
		ani.image_index = 5;
	else if (stateName == L"noodle_eat_up")
		ani.image_index = 6;
	else if (stateName == L"noodle_stacked_eat_up")
		ani.image_index = 7;
}

std::shared_ptr<Entity> CreateCS_Table()
{
	return std::make_shared<CS_Table>();
}
